Bug 1498754 - Definition of HW_COMPAT_RHEL7_3 is not correct
Summary: Definition of HW_COMPAT_RHEL7_3 is not correct
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.5
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Laurent Vivier
QA Contact: jingzhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-05 07:27 UTC by Laurent Vivier
Modified: 2018-04-11 00:40 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-rhev-2.10.0-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-11 00:38:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1104 None None None 2018-04-11 00:40:23 UTC

Description Laurent Vivier 2017-10-05 07:27:17 UTC
Description of problem:

Rebase of 2.10.0 has moved:

    },{ /* HW_COMPAT_RHEL7_3 */ \
        .driver   = "virtio-net-device",\
        .property = "x-mtu-bypass-backend",\
        .value    = "off",\
    },

to HW_COMPAT_2_1 instead of HW_COMPAT_RHEL7_3.

Comment 1 Miroslav Rezanina 2017-10-13 10:25:50 UTC
Fix included in qemu-kvm-rhev-2.10.0-2.el7

Comment 5 huiqingding 2017-12-11 07:52:59 UTC
Thanks Laurent.

Test all pc machine type for "qemu-kvm-rhev-2.10.0-10.el7.x86_64". Only for "pc-i440fx-rhel7.5.0/pc-i440fx-rhel7.4.0" and "pc-q35-rhel7.5.0/pc-q35-rhel7.4.0", x-mtu-bypass-backend is true, for other machine type, it is false.

# /usr/libexec/qemu-kvm -M ?
Supported machines are:
pc                   RHEL 7.5.0 PC (i440FX + PIIX, 1996) (alias of pc-i440fx-rhel7.5.0)
pc-i440fx-rhel7.5.0  RHEL 7.5.0 PC (i440FX + PIIX, 1996) (default)
pc-i440fx-rhel7.4.0  RHEL 7.4.0 PC (i440FX + PIIX, 1996)
pc-i440fx-rhel7.3.0  RHEL 7.3.0 PC (i440FX + PIIX, 1996)
pc-i440fx-rhel7.2.0  RHEL 7.2.0 PC (i440FX + PIIX, 1996)
pc-i440fx-rhel7.1.0  RHEL 7.1.0 PC (i440FX + PIIX, 1996)
pc-i440fx-rhel7.0.0  RHEL 7.0.0 PC (i440FX + PIIX, 1996)
rhel6.6.0            RHEL 6.6.0 PC
rhel6.5.0            RHEL 6.5.0 PC
rhel6.4.0            RHEL 6.4.0 PC
rhel6.3.0            RHEL 6.3.0 PC
rhel6.2.0            RHEL 6.2.0 PC
rhel6.1.0            RHEL 6.1.0 PC
rhel6.0.0            RHEL 6.0.0 PC
q35                  RHEL-7.5.0 PC (Q35 + ICH9, 2009) (alias of pc-q35-rhel7.5.0)
pc-q35-rhel7.5.0     RHEL-7.5.0 PC (Q35 + ICH9, 2009)
pc-q35-rhel7.4.0     RHEL-7.4.0 PC (Q35 + ICH9, 2009)
pc-q35-rhel7.3.0     RHEL-7.3.0 PC (Q35 + ICH9, 2009)
none                 empty machine

# printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults -M pc -nographic -device virtio-net-pci -S -monitor stdio |  grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = true

# printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults -M pc-i440fx-rhel7.5.0 -nographic -device virtio-net-pci -S -monitor stdio |  grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = true

# printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults -M pc-i440fx-rhel7.4.0 -nographic -device virtio-net-pci -S -monitor stdio |  grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = true

# printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults -M pc-i440fx-rhel7.3.0 -nographic -device virtio-net-pci -S -monitor stdio |  grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = false

# printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults -M pc-i440fx-rhel7.2.0 -nographic -device virtio-net-pci -S -monitor stdio |  grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = false

# printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults -M pc-i440fx-rhel7.1.0 -nographic -device virtio-net-pci -S -monitor stdio |  grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = false

# printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults -M pc-i440fx-rhel7.0.0 -nographic -device virtio-net-pci -S -monitor stdio |  grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = false

# printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults -M rhel6.6.0 -nographic -device virtio-net-pci -S -monitor stdio |  grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = false

# printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults -M rhel6.5.0 -nographic -device virtio-net-pci -S -monitor stdio |  grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = false

# printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults -M rhel6.4.0 -nographic -device virtio-net-pci -S -monitor stdio |  grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = false

# printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults -M rhel6.3.0 -nographic -device virtio-net-pci -S -monitor stdio |  grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = false

# printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults -M rhel6.2.0 -nographic -device virtio-net-pci -S -monitor stdio |  grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = false

# printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults -M rhel6.1.0 -nographic -device virtio-net-pci -S -monitor stdio |  grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = false

# printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults -M rhel6.0.0 -nographic -device virtio-net-pci -S -monitor stdio |  grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = false

# printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults -M q35 -nographic -device virtio-net-pci -S -monitor stdio |  grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = true

# printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults -M pc-q35-rhel7.5.0 -nographic -device virtio-net-pci -S -monitor stdio |  grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = true

# printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults -M pc-q35-rhel7.4.0 -nographic -device virtio-net-pci -S -monitor stdio |  grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = true

# printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults -M pc-q35-rhel7.3.0 -nographic -device virtio-net-pci -S -monitor stdio |  grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = false

Comment 7 Qunfang Zhang 2017-12-12 08:03:39 UTC
Verified on Power8 host with the following packages:

kernel-3.10.0-814.el7.ppc64le
qemu-kvm-rhev-2.10.0-12.el7.ppc64le

[root@ibm-p8-07 ~]# printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults \
>   -M pseries-rhel7.2.0 -nographic -device virtio-net -S -monitor stdio | \
>   grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = false
[root@ibm-p8-07 ~]# 
[root@ibm-p8-07 ~]# printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults \
>   -M pseries-rhel7.3.0 -nographic -device virtio-net -S -monitor stdio | \
>   grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = false
[root@ibm-p8-07 ~]# 
[root@ibm-p8-07 ~]# 
[root@ibm-p8-07 ~]#  printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults \
>   -M pseries-rhel7.4.0 -nographic -device virtio-net -S -monitor stdio | \
>   grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = true
[root@ibm-p8-07 ~]# 
[root@ibm-p8-07 ~]# 
[root@ibm-p8-07 ~]#  printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults \
>   -M pseries -nographic -device virtio-net -S -monitor stdio | \
>   grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = true

[root@ibm-p8-07 ~]#  printf "info qtree\nq\n" | /usr/libexec/qemu-kvm -nodefaults   -M pseries-rhel7.5.0 -nographic -device virtio-net -S -monitor stdio |   grep x-mtu-bypass-backend
Warning: nic virtio-net-pci.0 has no peer
            x-mtu-bypass-backend = true

Comment 8 Qunfang Zhang 2017-12-12 08:04:46 UTC
Setting to VERIFIED according to comment 5 and comment 7.

Comment 11 errata-xmlrpc 2018-04-11 00:38:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1104


Note You need to log in before you can comment on or make changes to this bug.